# shmop_close

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

shmop_close — Close shared memory block

### Description

shmop_close ( resource `$shmid` ) : void

shmop_close() is used to close a shared memory block.

### Parameters

`shmid`

  The shared memory block resource created by shmop_open()

### Return Values

No value is returned.

### Changelog

Version | Description
--- | ---
7.0.0 | The type of `shmid` has been changed from int to resource.

### Examples

Example #1 Closing shared memory block

`<?php
shmop_close($shm_id);
?>`

This example will close shared memory block identified by $shm_id.

### See Also

- shmop_open() - Create or open shared memory block